VA APIFlightsComplete
Complete Flight
Complete and file a PIREP for an ongoing flight
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
bidID*|
remainingLoad*integer
Format
int32Range
0 <= valueflightTime*number
Format
floatRange
0 <= valuelandingRate*number
Format
floatfuelUsed*number
Format
floatRange
0 <= valueroute*array<>
flightLog*string
Format
base64flightData*string
Format
base64comments?string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://loading/flights/complete" \ -H "Content-Type: application/json" \ -d '{ "bidID": 0, "remainingLoad": 0, "flightTime": 0.1, "landingRate": 0.1, "fuelUsed": 0.1, "route": [ "string" ], "flightLog": "string", "flightData": "string" }'Empty
{
"message": "string"
}{
"message": "string"
}{
"message": "string"
}{
"message": "string"
}